build error :( need help

William Immendorf will.immendorf at gmail.com
Sun Jun 21 06:39:13 PDT 2009


On Sun, Jun 21, 2009 at 3:43 AM, Ken Moffat<zarniwhoop73 at googlemail.com> wrote:
>  You can't build glibc using mawk, you need gawk (and awk needs to be
> a symlink to gawk).  Please see the host system requirements in the
> preface.
An extra note if you are using Ubuntu and/or Debian:

If you see that Awk links to Mawk, run this command (without quotes):

"sudo apt-get install gawk"

And Gawk is installed, and also, awk will link to gawk!

If you are using Debian (On Ubuntu, this following command will not
work, because if you try to remove mawk from Ubuntu, you'll also
attempt to remove the base-files, and apt-get will stop you from doing
that. I tried it on Ubuntu, and apt-get stopped me from removing
mawk.), and you want to save space, run this command (again, without
quotes):

"sudo apt-get remove mawk"

William



More information about the lfs-support mailing list